Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.premiumdomain
Class EPPPremiumDomainReAssignCmd

    java.lang.Object
      com.verisign.epp.codec.premiumdomain.EPPPremiumDomainReAssignCmd

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPPremiumDomainReAssignCmd

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a Premium Domain reassign extension.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` XML tag name of `EPPPremiumDomainReAssignCmd` root element

Constructor Summary
`EPPPremiumDomainReAssignCmd()` Create an `EPPPremiumDomainReAssignCmd` instance
`EPPPremiumDomainReAssignCmd(java.lang.String aShortName)` Create a `EPPPremiumDomainReAssignCmd` instance that will set the shortName attribute.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPPremiumDomainReAssignCmd`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPPremiumDomainReAssignCmd` attributes from the `aElement` DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPPremiumDomainReAssignCmd` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPPremiumDomainReAssignCmd` with this instance.
`java.lang.String` | `getShortName()`
`void` | `setShortName(java.lang.String aShortName)`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML tag name of `EPPPremiumDomainReAssignCmd` root element

  See Also:
    Constant Field Values

Constructor Detail

### EPPPremiumDomainReAssignCmd

    public EPPPremiumDomainReAssignCmd()

  Create an `EPPPremiumDomainReAssignCmd` instance

### EPPPremiumDomainReAssignCmd

    public EPPPremiumDomainReAssignCmd(java.lang.String aShortName)

  Create a `EPPPremiumDomainReAssignCmd` instance that will set the shortName attribute.

  Parameters:
    `aShortName` - Registrar shortName

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPPremiumDomainReAssignCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPPremiumDomainReAssignCmd`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPPremiumDomainReAssignCmd` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built
  Returns:
    Element Root DOM Element representing the `EPPPremiumDomainReAssignCmd` instance.
  Throws:
    `EPPEncodeException`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPPremiumDomainReAssignCmd` attributes from the `aElement` DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPPremiumDomainReAssignCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPPremiumDomainReAssignCmd` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    true if equal false otherwise

### getShortName

    public java.lang.String getShortName()

  Returns:
    the shortName

### setShortName

    public void setShortName(java.lang.String aShortName)

  Parameters:
    `aShortName` - the shortName to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.